Bug Hunting Session
Bug 107008 - Bullet split button drop down presets dont set character style to Bullets
Summary: Bullet split button drop down presets dont set character style to Bullets
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: low minor
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.5.0
Keywords:
Depends on:
Blocks: Bullet-Number-Outline-Lists Split-Group-Buttons
  Show dependency treegraph
 
Reported: 2017-04-06 22:28 UTC by Regina Henschel
Modified: 2017-05-24 00:51 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-04-06 22:28:35 UTC
Write some lines, apply a predefined bulleted list, and then open "Bullets and Numbering" from the context menu and look which character style is assigned to the bullets. You get:
(1) Apply a bulleted list with a single click on the "toggle on/off bullet list" symbol --> character style "Bullets".
(2) Apply the small circle by opening the drop-down from the symbol in toolbar --> character style "None"
(3) Apply the style "List 1" --> character style "Numbering Symbols".
Comment 1 Buovjaga 2017-04-23 16:00:42 UTC
Repro.

Regina: do you think all should get "Bullets" style?

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: d69e6321fbb2c9f5b4d30890074a230ee6b39d2d
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 17th 2016
Comment 2 Yousuf Philips (jay) (retired) 2017-04-23 23:03:09 UTC
(In reply to Regina Henschel from comment #0)
> (2) Apply the small circle by opening the drop-down from the symbol in
> toolbar --> character style "None"

I think this is the bug that needs to be addressed here, as opening the dialog and clicking any of these presets will set character style to 'Bullets'

> (3) Apply the style "List 1" --> character style "Numbering Symbols".

This needs to be fixed in bug 106988.
Comment 3 Commit Notification 2017-05-23 23:11:40 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=687c3b49976ef0eb079853f7bffd63d25bff05c7

tdf#107008 Pass char style names to NBOTypeMgrBase

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Yousuf Philips (jay) (retired) 2017-05-24 00:51:20 UTC
Thanks Maxim. Would be great if you could backport this to 5.3 and 5.4. :D